spring.application.name=zuul
server.port=7000

#para ignorar alguma rota no gateway, para que ele nao exponha 1 ou N microserviços - no caso pagamento
#zuul.ignore-service=pagamento


zuul.routes.moto.path=/moto/**
zuul.routes.modo.service-id=carro
zuul.routes.moto.strip-prefix=false
#declara se vamos enviar ou não alguma coisa no header
zuul.routes.moto.sensitive-headers=''


#por default ele ja procura o eureka na porta 8761, mas caso seja outra porta pode-se declarar a direção
#eureka.client.service-url.defaultZone=http://localhost:8761/eureka


zuul.routes.cep.path=/cep/**
zuul.routes.cep.service-id=https://viacep.com.br/ws


zuul.routes.cliente.service-id=cliente
zuul.routes.cliente.path=/cliente/**
zuul.routes.cliente.strip-prefix=false

zuul.routes.cartao.service-id=cartao
zuul.routes.cartao.path=/cartao/**
zuul.routes.cartao.strip-prefix=false

zuul.routes.pagamento.service-id=pagamento
zuul.routes.pagamento.path=/pagamento/**
#zuul.routes.pagamento.strip-prefix=false

zuul.sensitiveHeaders=""